/*
 * @Author: xiachao 958053195@qq.com
 * @Date: 2023-09-05 19:48:35
 * @LastEditors: xiachao 958053195@qq.com
 * @LastEditTime: 2024-07-22 17:48:22
 * @FilePath: \ruoyi-ui\src\api\bizMonitor\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import newRequest from '@/utils/newRequest';

export function orderFlowQueryPage(data) {
  return newRequest({
    url: '/order-flow-task/queryPage',
    method: 'post',
    data
  })
}

export function orderFlowAdd(data) {
  return newRequest({
    url: '/order-flow-task/add',
    method: 'post',
    data
  })
}

export function orderFlowUpdate(data) {
  return newRequest({
    url: '/order-flow-task/update',
    method: 'post',
    data
  })
}

export function orderFlowLog(id) {
  return newRequest({
    url: '/order-flow-task/logs/' + id,
    method: 'get',
  })
}

export function versionList(params) {
  return newRequest({
    url: '/order-flow-task/version/list',
    method: 'get',
    params
  })
}